"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

LibraryDefinition subclass:#stx_libbasic
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libbasic class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libbasic
    This library contains basic (nonGUI) classes.
"
! !

!stx_libbasic class methodsFor:'description'!

excludedFromPreRequisites
    "libbasic has no preRequisites by definition"

    ^ #(
        #'stx:libbasic2'    "SocketAddress - referenced by UnixOperatingSystem class>>getNetworkAddresses "
        #'stx:libbasic3'    "MessageTracer - referenced by CompiledCode>>setTraceFullPoint "
        #'stx:libboss'    "BinaryObjectStorage - referenced by PeekableStream>>fileInBinary "
        #'stx:libcomp'    "Parser - referenced by Metaclass>>parserClass "
        #'stx:libhtml'    "URL - referenced by CharacterArray>>asURL "
        #'stx:libtool'    "DiffTextView - referenced by UserPreferences>>versionDiffViewerClass "
        #'stx:libtool2'    "NewInspector::NewInspectorView - referenced by UserPreferences>>inspectorClassSetting "
        #'stx:libview'    "ResourcePack - referenced by Date class>>initNames "
        #'stx:libview2'    "LayoutOrigin - referenced by Point>>asOffsetLayout "
        #'stx:libwidg'    "PullDownMenu - referenced by UserPreferences class>>saveSettings:in: "
        #'stx:libwidg2'    "DoWhatIMeanSupport - referenced by Smalltalk class>>selectorCompletion: "
    )
!

extensionMethodNames
    ^ #(
    )
!

preRequisites
    ^ #(
    )
! !

!stx_libbasic class methodsFor:'description - compilation'!

additionalDefinitions_bc_dot_mak
    ^ '
# see stdHeader_bc for LIBBASIC_BASE
# LIBBASIC_BASE   =0x60300000
LIB_BASE_LD_ARG=-b:$(LIBBASIC_BASE)
'
!

localIncludes
    ^ '-I$(TOP)/librun'

    "Created: / 06-09-2006 / 18:18:06 / cg"
!

stcOptimizationOptions
    ^ '+optinline +optinline2'

    "Created: / 23-08-2006 / 11:06:17 / cg"
! !

!stx_libbasic class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        AbortAllOperationRequest
        AbortOperationRequest
        AbstractOperatingSystem
        AbstractTime
        ActivityNotification
        AllocationFailure
        ApplicationDefinition
        ArgumentError
        ArithmeticError
        ArithmeticValue
        Array
        ArrayedCollection
        AspectVisitor
        Association
        Autoload
        AutoloadMetaclass
        BadLiteralsError
        (BadRomanNumberFormatError autoload)
        Bag
        Behavior
        Block
        BlockContext
        Boolean
        BreakPointInterrupt
        ByteArray
        CachingRegistry
        CannotResumeError
        CannotReturnError
        Character
        CharacterArray
        CharacterEncoder
        CharacterEncoderError
        #'CharacterEncoderImplementations::ASCII'
        (#'CharacterEncoderImplementations::BIG5' autoload)
        (#'CharacterEncoderImplementations::CNS11643' autoload)
        (#'CharacterEncoderImplementations::CP437' autoload)
        (#'CharacterEncoderImplementations::GB2313_1980' autoload)
        (#'CharacterEncoderImplementations::HANGUL' autoload)
        #'CharacterEncoderImplementations::ISO10646_1'
        (#'CharacterEncoderImplementations::ISO10646_to_SGML' autoload)
        (#'CharacterEncoderImplementations::ISO10646_to_JavaText' autoload)
        (#'CharacterEncoderImplementations::ISO10646_to_UTF16BE' autoload)
        (#'CharacterEncoderImplementations::ISO10646_to_UTF16LE' autoload)
        #'CharacterEncoderImplementations::ISO10646_to_UTF8'
        #'CharacterEncoderImplementations::ISO8859_1'
        (#'CharacterEncoderImplementations::ISO8859_10' autoload)
        (#'CharacterEncoderImplementations::ISO8859_11' autoload)
        (#'CharacterEncoderImplementations::ISO8859_13' autoload)
        (#'CharacterEncoderImplementations::ISO8859_14' autoload)
        (#'CharacterEncoderImplementations::ISO8859_15' autoload)
        (#'CharacterEncoderImplementations::ISO8859_16' autoload)
        #'CharacterEncoderImplementations::ISO8859_2'
        (#'CharacterEncoderImplementations::ISO8859_3' autoload)
        (#'CharacterEncoderImplementations::ISO8859_4' autoload)
        #'CharacterEncoderImplementations::ISO8859_5'
        (#'CharacterEncoderImplementations::ISO8859_6' autoload)
        #'CharacterEncoderImplementations::ISO8859_7'
        (#'CharacterEncoderImplementations::ISO8859_8' autoload)
        (#'CharacterEncoderImplementations::ISO8859_9' autoload)
        (#'CharacterEncoderImplementations::JIS0201' autoload)
        (#'CharacterEncoderImplementations::JIS0208' autoload)
        (#'CharacterEncoderImplementations::JIS0208_to_EUC' autoload)
        (#'CharacterEncoderImplementations::JIS0208_to_JIS7' autoload)
        #'CharacterEncoderImplementations::JIS0208_to_SJIS'
        (#'CharacterEncoderImplementations::JIS0212' autoload)
        (#'CharacterEncoderImplementations::JOHAB' autoload)
        (#'CharacterEncoderImplementations::KOI7' autoload)
        (#'CharacterEncoderImplementations::KOI8_R' autoload)
        (#'CharacterEncoderImplementations::KOI8_U' autoload)
        (#'CharacterEncoderImplementations::KSC5601' autoload)
        (#'CharacterEncoderImplementations::MAC_Arabic' autoload)
        (#'CharacterEncoderImplementations::MAC_CentralEuropean' autoload)
        (#'CharacterEncoderImplementations::MAC_Croatian' autoload)
        (#'CharacterEncoderImplementations::MAC_Cyrillic' autoload)
        (#'CharacterEncoderImplementations::MAC_Dingbats' autoload)
        (#'CharacterEncoderImplementations::MAC_Farsi' autoload)
        (#'CharacterEncoderImplementations::MAC_Greek' autoload)
        (#'CharacterEncoderImplementations::MAC_Hebrew' autoload)
        (#'CharacterEncoderImplementations::MAC_Iceland' autoload)
        (#'CharacterEncoderImplementations::MAC_Japanese' autoload)
        (#'CharacterEncoderImplementations::MAC_Korean' autoload)
        (#'CharacterEncoderImplementations::MAC_Roman' autoload)
        (#'CharacterEncoderImplementations::MAC_Romanian' autoload)
        (#'CharacterEncoderImplementations::MAC_Symbol' autoload)
        (#'CharacterEncoderImplementations::MAC_Thai' autoload)
        (#'CharacterEncoderImplementations::MAC_Turkish' autoload)
        (#'CharacterEncoderImplementations::MS_Ansi' win32)
        (#'CharacterEncoderImplementations::MS_Arabic' autoload)
        (#'CharacterEncoderImplementations::MS_Baltic' win32)
        (#'CharacterEncoderImplementations::MS_Cyrillic' win32)
        (#'CharacterEncoderImplementations::MS_EastEuropean' autoload)
        (#'CharacterEncoderImplementations::MS_Greek' win32)
        (#'CharacterEncoderImplementations::MS_Hebrew' autoload)
        (#'CharacterEncoderImplementations::MS_Symbol' autoload)
        (#'CharacterEncoderImplementations::MS_Turkish' autoload)
        (#'CharacterEncoderImplementations::NEXT' autoload)
        #'CharacterEncoderImplementations::SingleByteEncoder'
        #'CharacterEncoderImplementations::TwoByteEncoder'
        CharacterRangeError
        CharacterWriteStream
        CheapBlock
        Class
        ClassBuilder
        ClassCategoryReader
        ClassDescription
        Collection
        CompiledCode
        Context
        ContextError
        Continuation
        ControlInterrupt
        ControlRequest
        ConversionError
        Date
        DecodingError
        DeepCopyError
        Delay
        Dictionary
        DirectoryStream
        DomainError
        DoubleArray
        ElementBoundsError
        EncodedStream
        EncodingError
        EndOfStreamError
        EndOfStreamNotification
        Error
        Exception
        ExceptionHandlerSet
        ExecutableFunction
        ExecutionError
        ExternalAddress
        ExternalBytes
        ExternalFunction
        ExternalLibraryFunction
        ExternalStream
        ExternalStructure
        False
        (FileDirectory autoload)
        FileStream
        Filename
        FixedPoint
        Float
        FloatArray
        Fraction
        GenericException
        Geometric
        HaltInterrupt
        HandleRegistry
        HashStream
        IdentityDictionary
        IdentitySet
        (ImaginaryResultError autoload)
        IncompleteNextCountError
        IndexNotFoundError
        (Infinity autoload)
        Integer
        InterestConverter
        Interval
        InvalidByteCodeError
        InvalidCodeError
        InvalidEncodingError
        InvalidInstructionError
        InvalidModeError
        InvalidOperationError
        InvalidReadError
        InvalidWriteError
        KeyNotFoundError
        KeyedCollection
        (LargeFloat autoload)
        LargeInteger
        LibraryDefinition
        LimitedPrecisionReal
        Link
        LinkedList
        LongFloat
        LookupKey
        MD5Stream
        (MacFilename macos)
        Magnitude
        MallocFailure
        (MappedExternalBytes autoload)
        Message
        MessageNotUnderstood
        MessageSend
        (MetaNumber autoload)
        Metaclass
        Method
        MethodDictionary
        MiniDebugger
        MiniInspector
        (NaiveRomanNumberFormatNotification autoload)
        NameSpace
        NoByteCodeError
        NoHandlerError
        NonBooleanReceiverError
        NonIntegerIndexError
        NonPositionableExternalStream
        (NotANumber autoload)
        NotFoundError
        Notification
        Number
        (NumberConversionError autoload)
        (NumberFormatError autoload)
        OSErrorHolder
        OSFileHandle
        OSHandle
        OSSignalInterrupt
        Object
        ObjectCoder
        ObjectMemory
        OpenError
        (OpenVMSFileHandle vms)
        (OpenVMSFilename vms)
        (OpenVMSOperatingSystem vms)
        OrderedCollection
        OsError
        OsIllegalOperation
        OsInaccessibleError
        OsInvalidArgumentsError
        OsNeedRetryError
        OsNoResourcesError
        OsNotification
        OsTransferFaultError
        OverflowError
        (PCFilename win32)
        PeekableStream
        PipeStream
        PluginSupport
        Point
        PositionError
        PositionOutOfBoundsError
        PositionableStream
        PrimitiveFailure
        PrivateMetaclass
        ProceedError
        ProceedableError
        Process
        ProcessorScheduler
        Project
        ProjectDefinition
        ProtoObject
        (QualifiedName autoload)
        Query
        QuerySignal
        QueryWithoutDefault
        RangeError
        ReadError
        ReadEvalPrintLoop
        ReadOnlySequenceableCollection
        ReadStream
        ReadWriteStream
        Rectangle
        RecursionError
        RecursionLock
        RecursiveExceptionError
        RecursiveStoreError
        Registry
        RestartProcessRequest
        (RomanNumberFormatError autoload)
        SHA1Stream
        Semaphore
        SemaphoreSet
        SequenceableCollection
        Set
        SharedPool
        ShortFloat
        Signal
        SignalError
        SignalSet
        SmallInteger
        Smalltalk
        SmalltalkChunkFileSourceWriter
        SnapshotError
        (SomeNumber autoload)
        SortedCollection
        StandaloneStartup
        Stream
        StreamError
        StreamIOError
        StreamNotOpenError
        String
        StringCollection
        SubclassResponsibilityError
        SubscriptOutOfBoundsError
        Symbol
        (SystemNotification autoload)
        TerminateProcessRequest
        (TextCollectorStream autoload)
        Time
        TimeoutError
        Timestamp
        True
        (UnboundedExternalStream autoload)
        UndefinedObject
        UnderflowError
        UnimplementedFunctionalityError
        UninterpretedBytes
        (UnixFileDescriptorHandle unix)
        (UnixFileHandle unix)
        UnixFilename
        (UnixOperatingSystem unix)
        UnorderedNumbersError
        (UnprotectedExternalBytes autoload)
        UserInformation
        UserInterrupt
        (UserMessage autoload)
        UserNotification
        UserPreferences
        VMInternalError
        VarArgBlock
        VarArgCheapBlock
        Visitor
        Warning
        WeakArray
        WeakDependencyDictionary
        WeakIdentityDictionary
        WeakIdentitySet
        WeakInterestConverter
        WeakValueDictionary
        (WeakValueIdentityDictionary autoload)
        (Win32FILEHandle win32)
        (Win32Handle win32)
        (Win32OperatingSystem win32)
        (Win32Process autoload)
        WriteError
        WriteStream
        WrongNumberOfArgumentsError
        WrongProceedabilityError
        YesToAllConfirmation
        ZeroDivide
        TwoByteString
        Unicode16String
        PackageId
        #'stx_libbasic'
        UserConfirmation
        ExternalFunctionCallback
        AssertionFailedError
        AutoDeletedFilename
        MeasurementValue
    )
! !

!stx_libbasic class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Basic Classes'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2007\nCopyright eXept Software AG 1998-2007'

    "Modified: / 08-11-2007 / 16:58:06 / cg"
! !

!stx_libbasic class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/stx_libbasic.st,v 1.40 2008-01-07 14:31:33 cg Exp $'
! !
